
package datos;

import encapsuladores.CabeceraFactura;
import encapsuladores.LineaFactura;
import java.util.ArrayList;
import java.util.List;

public class FacturaDATOS {
    public List<LineaFactura> leerLineas(){
        List<LineaFactura> listaLineasFactura = new ArrayList();        
        
        listaLineasFactura.add(new LineaFactura("00000111","saco cemento 25 kg.",3.5,1000));
        listaLineasFactura.add(new LineaFactura("00000112","ladrillo 4",0.2,200));    
        listaLineasFactura.add(new LineaFactura("00000113","ladrillo 9",0.3,150));   
        listaLineasFactura.add(new LineaFactura("00000114","pila mármol de Carrara",3200.0,1));      
        listaLineasFactura.add(new LineaFactura("00000115","bloque hormigón 20 X 20 X 40",0.8,500));
        listaLineasFactura.add(new LineaFactura("00000116","azulejos 20 X 30",2,800));
        listaLineasFactura.add(new LineaFactura("00000117","baldosas 50 X 50",2.5,1300));  
        listaLineasFactura.add(new LineaFactura("00000118","saco yeso kg.",0.95,3));   
        listaLineasFactura.add(new LineaFactura("00000119","saco grava planché 25 kg.",0.75,50)); 
        listaLineasFactura.add(new LineaFactura("00000120","saco arena viva 25 kg.",0.85,10));
        
        return listaLineasFactura;
    }
    
    public CabeceraFactura leerCabecera(){
        
        CabeceraFactura cabeceraFactura = new CabeceraFactura();
        cabeceraFactura.setNumeroFactura(Integer.parseInt(new java.text.SimpleDateFormat("yyyy").format(new java.util.Date())+"00356"));
        cabeceraFactura.setFechaFactura(new java.util.Date());
        cabeceraFactura.setNIFCliente("12345-X");
        cabeceraFactura.setNombreCliente("Manuel Gilabert Martínez");
        cabeceraFactura.setDireccionCliente("C/Trafalgar, 4");
        cabeceraFactura.setPoblacionCliente("ALCALA DE HENARES (Madrid)");
        
        return cabeceraFactura;
    }
}
